View Single Post
Old 14th October 2008
vmhobbes vmhobbes is offline
New User
Join Date: Oct 2008
Posts: 3

Hi, I got Flash 9 with sound working on FreeBSD-CURRENT/linux_base-f8/native Firefox 3.0.3. (Tested on YouTube). For those who'd like to try it for themselves, here's what I did:

Enable Linux compatibility in rc.conf , then run
# /etc/rc.d/abi restart

Add this to /etc/make.conf:
Then add this to /etc/fstab:
linproc         /compat/linux/proc      linprocfs        rw       0 0
...and mount it:
# mount /compat/linux/proc

Make sure the output of 'sysctl compat.linux.osrelease' says 2.6.16 (It's the default in -CURRENT, but hey, it wouldn't hurt to see, right? )

Install (not necessarily in order):
- emulators/linux_base-f8
- www/linux-flashplugin9
- www/nspluginwrapper
- www/firefox3 (of course )

After everything is installed:
% nspluginwrapper -i /usr/local/lib/npapi/linux-flashplugin/

Check that Firefox recognizes the plugin, if it does, try to view a YouTube video. Hope this helps.

Addendum 10/15/2008: Sometimes npviewer.bin crashes, which prevents further viewing of Flash on the current Firefox session. If this happens, try killing all npviewer.bin processes, then reload the page.

Last edited by vmhobbes; 15th October 2008 at 01:44 PM. Reason: addendum re: npviewer.bin crash and workaround
Reply With Quote